export type TPosition = "top-left" | "top-right" | "bottom-left" | "bottom-right";
export type TRGB = `rgb(${number}, ${number}, ${number})`;
export type TRGBA = `rgba(${number}, ${number}, ${number}, ${number})`;
export type THEX = `#${string}`;
type _TColor = TRGB | TRGBA | THEX;
export type TColor = _TColor | Omit<string, _TColor>;
type _TRegion = "eu" | "us" | "in";
export type Region = _TRegion | Omit<string, _TRegion>;
type _TDomain = `${string}.call-${_TRegion}.cometchat.io/v3.0/`;
export type Host = _TDomain | Omit<string, _TDomain>;
export interface AnyProperties {
    [prop: string]: any;
}
export {};
